Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config
Class AppenderControl

    java.lang.Object
      org.apache.logging.log4j.core.AbstractLifeCycle
          org.apache.logging.log4j.core.filter.AbstractFilterable
              org.apache.logging.log4j.core.config.AppenderControl

All Implemented Interfaces:
  Serializable, Filterable, LifeCycle

    public class AppenderControl

extends AbstractFilterable

Wraps an `Appender` with details an appender implementation shouldn't need to know about.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle
`LifeCycle.State`

Field Summary

Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`LOGGER`

Constructor Summary
`AppenderControl(Appender appender, org.apache.logging.log4j.Level level, Filter filter)` Constructor.

Method Summary
`void` | `callAppender(LogEvent event)` Call the appender.
`Appender` | `getAppender()` Returns the Appender.

Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable
`addFilter, getFilter, hasFilter, isFiltered, removeFilter, start, stop`

Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`equalsImpl, getState, hashCodeImpl, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.LifeCycle
`getState, isStarted, isStopped`

Constructor Detail

### AppenderControl

    public AppenderControl(Appender appender,
                           org.apache.logging.log4j.Level level,
                           Filter filter)

  Constructor.

  Parameters:
    `appender` - The target Appender.
    `level` - the Level to filter on.
    `filter` - the Filter(s) to apply.

Method Detail

### getAppender

    public Appender getAppender()

  Returns the Appender.

  Returns:
    the Appender.

### callAppender

    public void callAppender(LogEvent event)

  Call the appender.

  Parameters:
    `event` - The event to process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.